Get business courses
This endpoint returns all the courses in the business catalog, including their trainings.
GET /api/v2/businesses/{businessId}/courses
If the businessId included in the request is correct, the response will contain the list of courses of the business.
Response example
[
{
"id": "CRS-CAJ",
"name": "Cash register",
"description": "Payment methods, POS operation and cash count",
"abbreviation": "CAJ",
"color": "#f7c2e5",
"expiresAfter": "P1Y",
"requirementIds": [
"CRS-VAC"
],
"unlockCatalogLocationIds": [
"000001"
],
"trainings": [
{
"id": "TRN-CAJ-NOR",
"name": "Cash register rules and payment methods",
"description": "",
"day": 1,
"order": 1,
"duration": "PT1H",
"needsTrainer": false,
"needsValidation": false
},
{
"id": "TRN-CAJ-TPV",
"name": "POS operation",
"description": "",
"day": 1,
"order": 2,
"duration": "PT3H",
"needsTrainer": true,
"needsValidation": false,
"coverCatalogLocationId": "000001"
},
{
"id": "TRN-CAJ-ARQ",
"name": "Cash count and reconciliation",
"description": "",
"day": 2,
"order": 1,
"duration": "PT1H",
"needsTrainer": true,
"needsValidation": true
}
]
}
]
Details
-
id: external identifier of the course.
-
name: name of the course.
-
description: description of the course. If it was not provided, it is returned empty.
-
abbreviation: abbreviation of the course.
-
color: color of the course, in hexadecimal
#rrggbbformat and in lowercase. -
expiresAfter: validity period of the course approval, in ISO-8601 format. It is not included if the approval does not expire.
-
requirementIds: external identifiers of the courses that are requirements of this course.
-
unlockCatalogLocationIds: external identifiers of the catalog tasks enabled by the course.
-
trainings: trainings of the course, sorted by day and by order within the day. For each training, the following information is included:
-
id: external identifier of the training.
-
name: name of the training.
-
description: description of the training.
-
day: day of the course on which the training takes place, starting at
1. -
order: order of the training within its day.
-
duration: duration of the training, in ISO-8601 format.
-
needsTrainer: indicates whether the training requires a trainer.
-
needsValidation: indicates whether the training is assessed (passed or failed) or only attendance is recorded.
-
coverCatalogLocationId: external identifier of the catalog task that the employee covers during the training. It is not included if it is not defined.
-
Considerations
The response only includes the current version of each course.
If there are no courses defined in the business, the request will return an empty array [].
Error codes
This endpoint does not return any error codes of its own beyond those described in common errors.
Useful links
What is a course?